import { AnalyticsStateMachine } from '../../types/AnalyticsStateMachine';
import { StateMachineCallbacks } from '../../types/StateMachineCallbacks';
import { AnalyticsStateMachineOptions } from '../../types/AnalyticsStateMachineOptions';
import { DownloadSpeedInfo } from '../../types/DownloadSpeedInfo';
import { SegmentInfo } from '../../types/SegmentInfo';
import { EventDispatcher } from '../../core/EventDispatcher';
export declare abstract class InternalAdapter {
    stateMachineCallbacks: StateMachineCallbacks;
    protected stateMachine: AnalyticsStateMachine;
    protected opts: AnalyticsStateMachineOptions;
    protected _onLicenseKeyReceived: EventDispatcher<{
        licenseKey: string;
    }>;
    protected _onLicenseCallFailed: EventDispatcher<{}>;
    readonly onLicenseKeyReceived: EventDispatcher<{
        licenseKey: string;
    }>;
    readonly onLicenseCallFailed: EventDispatcher<{}>;
    constructor(opts?: AnalyticsStateMachineOptions);
    eventCallback: (eventType: string, eventObject: any) => void;
    getCommonPlaybackInfo(): {
        screenHeight: number;
        screenWidth: number;
    };
    clearValues(): void;
    clearSegments(): void;
    readonly downloadSpeedInfo: DownloadSpeedInfo;
    readonly segments: SegmentInfo[];
}
