import { AnalyticsStateMachineOptions } from '../types/AnalyticsStateMachineOptions';
import { EventDebugging } from '../utils/EventDebugging';
import { StateMachineCallbacks } from '../types/StateMachineCallbacks';
import { AnalyticsStateMachine } from '../types/AnalyticsStateMachine';
export declare class Bitmovin7AnalyticsStateMachine implements AnalyticsStateMachine {
    static PAUSE_SEEK_DELAY: number;
    static SEEKED_PAUSE_DELAY: number;
    private debuggingStates;
    private enabledDebugging;
    private stateMachineCallbacks;
    private pausedTimestamp;
    private seekTimestamp;
    private seekedTimestamp;
    private seekedTimeout;
    private onEnterStateTimestamp;
    private stateMachine;
    constructor(stateMachineCallbacks: StateMachineCallbacks, opts: AnalyticsStateMachineOptions);
    getAllStates(): any[];
    sourceChange: (config: any, timestamp: number, currentTime?: number | undefined) => void;
    createStateMachine(opts: AnalyticsStateMachineOptions): void;
    callEvent(eventType: string, eventObject: any, timestamp: number): void;
    addStatesToLog(event: string | undefined, from: string | undefined, to: string | undefined, timestamp: number, eventObject: any): void;
    getStates(): EventDebugging[];
    setEnabledDebugging(enabled: boolean): void;
    updateMetadata(metadata: any): void;
}
