import { Backend } from './Backend';
import { LicensingResponse, LicensingRequest, LicenseCallFunc } from '../types/LicensingRequest';
import { Sample } from '../types/Sample';
import { AdSample } from '../types/AdSample';
import { AdBreakSample } from '../types/AdBreakSample';
import { AdAnalyticsSample } from '../types/AdAnalyticsSample';
import { DeferredLicenseLoadingAdapterAPI } from '../adapters/internal/DeferredLicenseLoadingAdapterAPI';
export declare class LicenseCheckingBackend implements Backend {
    private licenseCall;
    private backendBaseUrl;
    private adapter;
    promise?: Promise<LicensingResponse>;
    private licenseLazyLoadingTimeoutHandle?;
    private backend;
    private info;
    constructor(info: LicensingRequest, licenseCall: LicenseCallFunc, backendBaseUrl: string, adapter: DeferredLicenseLoadingAdapterAPI);
    performLicenseCheck(): Promise<LicensingResponse>;
    sendRequest(sample: Sample): void;
    sendUnloadRequest(sample: Sample): void;
    sendRequestSynchronous(sample: Sample): void;
    sendAdRequest(sample: AdSample & AdBreakSample & AdAnalyticsSample): void;
    private licenseKeyReceived;
    private licenseCallFailed;
    private licenseLazyLoadingTimeout;
    private unsubscribeFromAdapter;
}
